Subject: [Healeys] Steering Lever Removal Questions--BJ8

From: Tom Felts <[email-masked]>
Date: Mon, 15 Jun 2015 22:36:33 -0400

I'm starting to "try" to remove the steering lever while the whole mess is still in the car.  I've loosened the big nut that holds the lever on.

I have pulled as much oil out of the box as I can.

Before I try getting this thing off, I assume some of the steering arms must be removed (?)

Does anyone who has done this while on the car have a list of what should be disconnected prior to trying to get the steering lever off?----which seems to be quite fixed at the moment.

thanks
tom
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys